Package org.bukkit.block

# Interface EnderChest

All Superinterfaces:
  `BlockState`, `Lidded`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface EnderChest extends TileState, Lidded
Represents a captured state of an ender chest.

## Method Summary

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.Lidded

`close, isOpen, open`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`